package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * UpgradeSiteModelReqInfo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class UpgradeSiteModelReqInfo   {
  @JsonProperty("siteIds")
  @Valid
  private List<String> siteIds = null;

  public UpgradeSiteModelReqInfo siteIds(List<String> siteIds) {
    this.siteIds = siteIds;
    return this;
  }

  public UpgradeSiteModelReqInfo addSiteIdsItem(String siteIdsItem) {
    if (this.siteIds == null) {
      this.siteIds = new ArrayList<>();
    }
    this.siteIds.add(siteIdsItem);
    return this;
  }

  /**
   * List collection of siteID
   * @return siteIds
  */
  @ApiModelProperty(value = "List collection of siteID")


  public List<String> getSiteIds() {
    return siteIds;
  }

  public void setSiteIds(List<String> siteIds) {
    this.siteIds = siteIds;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    UpgradeSiteModelReqInfo upgradeSiteModelReqInfo = (UpgradeSiteModelReqInfo) o;
    return Objects.equals(this.siteIds, upgradeSiteModelReqInfo.siteIds);
  }

  @Override
  public int hashCode() {
    return Objects.hash(siteIds);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class UpgradeSiteModelReqInfo {\n");
    
    sb.append("    siteIds: ").append(toIndentedString(siteIds)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

